Skip to main content
GET
/
accounts
/
{account_id}
Get an account
curl --request GET \
  --url https://api.togai.com/accounts/{account_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.togai.com/accounts/{account_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.togai.com/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "G234DZZKBKACATFFGVGEMERFI",
  "togaiAccountId": "account.safdla.c234ds",
  "customerId": "ACME",
  "togaiCustomerId": "customer.savass.11e1a",
  "name": "ACME Enterprise - Account2",
  "invoiceCurrency": "USD",
  "address": {
    "phoneNumber": "+919876543210",
    "line1": "2281 Broadway Street",
    "line2": "G-31",
    "postalCode": "29501",
    "city": "Florence",
    "state": "South Carolina",
    "country": "US"
  },
  "primaryEmail": "admin@example.com",
  "billingInformation": {
    "emailRecipients": [
      "admin@example.com",
      "acme@acme.com",
      "acmeacme@acme.com"
    ],
    "additionalEmailRecipients": [
      "admin@acme.com"
    ]
  },
  "aliases": [
    {
      "alias": "account2@acme.com"
    },
    {
      "alias": "+1234567890"
    }
  ],
  "status": "ACTIVE"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required

account_id corresponding to an account

Maximum string length: 50
Example:

"ACC00001"

Query Parameters

effectiveOn
string<date-time>
Example:

"2020-03-30T10:41:10.088499"

includeGroupDetails
boolean
Example:

true

Response

Response for Create and Get account requests

Structure of an account

id
string
required

Identifier of the account

Maximum string length: 50
togaiAccountId
string
required

Unique identifier of the account

togaiCustomerId
string
required

Unique identifier of the customer

name
string
required

Name of the Account

Required string length: 3 - 255
customerId
string
required

Identifier of the customer

status
enum<string>
required

Status of the account

Available options:
ACTIVE,
DRAFT,
ARCHIVED
Example:

"ACTIVE"

invoiceCurrency
string

ISO_4217 code of the currency in which the account must be invoiced Defaults to Base currency.

Required string length: 3
Example:

"USD"

aliases
AccountAliases · object[]

list of aliases of the account

Maximum array length: 10
netTermDays
integer<int32>
address
object

billing address of the customer

primaryEmail
string

Primary email of the customer

Maximum string length: 320
Example:

"admin@example.com"

billingInformation
object

Billing information of an account

settings
object[]
Maximum array length: 10
invoiceGroupDetails
object

Invoice group details

metadata
object

Additional information associated with the account. Example: GSTN, VATN

tags
string[]

Tag for accounts are stored in lowercase